### Function

# GLib ErrorClearFunc

since: 2.68

#### Declaration

    void
    (* GErrorClearFunc) (
      GError* error
    )

#### Description

Specifies the type of function which is called when an extended error instance is freed. It is passed the error pointer about to be freed, and should free the error’s private data fields.

Normally, it is better to use G_DEFINE_EXTENDED_ERROR(), as it already takes care of getting the private data from `error`.

Available since: 2.68

#### Parameters

`error`

  Type: `GError`

  Extended error to clear.

  The data is owned by the caller of the function.